

To answer one point of many in your question:  AMSOL is capable of modelling
solution behavior.  It is even possible to compute zwitterions in the gas 
phase:  I just saw a poster on the topic at the Washington ACS meeting for
glycine. (intramolecular proton transfer).  The authors published this in
JACSS, at the end of '93, I believe.

There have been many discussions on computing partial charges on this mailer:
you should check the archives!

Good luck!
Irene Newhouse

-----------------------------------------------------------------------------